Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452910 - libpciaccess-fd-cache.patch bugged
Summary: libpciaccess-fd-cache.patch bugged
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libpciaccess
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 20:15 UTC by Yannick Heneault
Modified: 2008-07-26 06:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-02 19:20:05 UTC


Attachments (Terms of Use)

Description Yannick Heneault 2008-06-25 20:15:34 UTC
libpciaccess-fd-cache.patch is not making sense because it caches the open flag
(read only or write only). If your first call is a read to the config space, it
creates a fd with rdeadonly flag and cache it. Then if you try to write to
config space of the same device, it reuses the same fd and the write call fail
with a EBADF. If you want to cache fd handle, it should be easier to open with
both read and write flags.

Comment 1 Adam Jackson 2008-07-02 19:20:05 UTC
Right you are.  Fixed in 0.10.3-2, thanks.

Comment 2 Fedora Update System 2008-07-02 19:26:31 UTC
libpciaccess-0.10.3-2.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-09 02:41:59 UTC
libpciaccess-0.10.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-07-26 06:07:44 UTC
libpciaccess-0.10.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.